

class MailMigratorError(Exception):
    def __init__(self, error_id, error_message, error_details=None):
        super(MailMigratorError, self).__init__(error_message)
        self._error_id = error_id
        self._error_message = error_message
        self._error_details = error_details

    @property
    def error_id(self):
        return self._error_id

    @property
    def error_message(self):
        return self._error_message

    @property
    def error_details(self):
        return self._error_details
